# ArmorStandWrapper (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.nms

## Class ArmorStandWrapper

- java.lang.Object
- - de.epiceric.shopchest.nms.ArmorStandWrapper

    public class ArmorStandWrapper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ArmorStandWrapper(ShopChest plugin, org.bukkit.Location location, String customName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCustomName()`
`Object` `getEntity()`
`int` `getEntityId()`
`org.bukkit.Location` `getLocation()`
`UUID` `getUuid()`
`void` `remove()`
`void` `setCustomName(String customName)`
`void` `setLocation(org.bukkit.Location location)`
`void` `setVisible(org.bukkit.entity.Player player, boolean visible)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArmorStandWrapper

    public ArmorStandWrapper(ShopChest plugin,
                             org.bukkit.Location location,
                             String customName)

### Method Detail

#### setVisible

    public void setVisible(org.bukkit.entity.Player player,
                           boolean visible)

#### setLocation

    public void setLocation(org.bukkit.Location location)

#### setCustomName

    public void setCustomName(String customName)

#### remove

    public void remove()

#### getEntityId

    public int getEntityId()

#### getUuid

    public UUID getUuid()

#### getLocation

    public org.bukkit.Location getLocation()

#### getCustomName

    public String getCustomName()

#### getEntity

    public Object getEntity()